org.gradle.api.artifacts

## Interface ModuleVersionSelector

- All Known Subinterfaces:
    ClientModule, ExternalDependency, ExternalModuleDependency

      public interface ModuleVersionSelector

  Selects a module version

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGroup()` The group of the module.
    `String` | `getName()` The name of the module.
    `String` | `getVersion()` The version of the module
    `boolean` | `matchesStrictly(ModuleVersionIdentifier identifier)` To match strictly means that the given identifier needs to have equal group, module name and version.

- - ### Method Detail

    - #### getGroup

          String getGroup()

      The group of the module.
      Returns:
        module group

    - #### getName

          String getName()

      The name of the module.
      Returns:
        module name

    - #### getVersion

          String getVersion()

      The version of the module
      Returns:
        module version

    - #### matchesStrictly

          @Incubating
          boolean matchesStrictly(ModuleVersionIdentifier identifier)

      To match strictly means that the given identifier needs to have equal group, module name and version. It does not smartly match dynamic versions, e.g. '1.+' selector does not strictly match '1.2' identifier.
      Returns:
        if this selector matches exactly the given identifier.